=== debian/changelog ===
bibletime (2.11.0-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add qttools5-dev to build-depends to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 May 2017 17:05:34 -0700

bibletime (2.11.0-0york0~16.04) xenial; urgency=medium

  * New upstream release
  * Drop patches:
    - desktopkeywords.patch
    - mime_exec.patch
    - desktop_translation.patch

 -- Jonathon Fernyhough <jonathon.fernyhough@york.ac.uk>  Thu, 22 Dec 2016 13:00:03 +0000

bibletime (2.11.0~rc2-0~16.04.york0) xenial; urgency=medium

  * New upstream RC
  * debian/control: adjust for Qt5 dependencies
  * tests fail on headless buildhosts; disable

 -- Jonathon Fernyhough <jonathon.fernyhough@york.ac.uk>  Fri, 04 Nov 2016 09:15:00 +0000
