## bibletime 2.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,8 +56,8 @@
 
 SET(BT_VERSION_MAJOR "2")
 SET(BT_VERSION_MINOR "11")
-SET(BT_VERSION_PATCH "0")
-SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
+SET(BT_VERSION_PATCH "1")
+#SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:
 IF(NOT (DEFINED BT_VERSION_BUILD))
@@ -150,9 +150,12 @@
     ADD_DEFINITIONS("-DBT_MOBILE")
 ENDIF()
 
-IF(Qt5Core_VERSION VERSION_LESS 5.6.0)
+FIND_PACKAGE(Qt5WebEngine QUIET)
+IF(NOT Qt5WebEngine_FOUND)
+    MESSAGE(STATUS "Using Qt WebKit")
     SET(USEWEBENGINE OFF)
 ELSE()
+    MESSAGE(STATUS "Using Qt WebEngine")
     SET(USEWEBENGINE ON)
 ENDIF()
 
@@ -334,6 +337,3 @@
 ENDIF()
 
 ######################################################
-# "make uninstall" target; see http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
-#
-CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
