=== debian/changelog ===
bibletime (2.11.1-1) unstable; urgency=low

  * new upstream version (Closes: #880566)

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 03 Nov 2017 12:00:00 +0200

bibletime (2.11.0-1) unstable; urgency=low

  [ Teus Benschop ]
  * new upstream version (Closes: #816804, #874831)
  * debian/copyright: 
      make it machine-readable
      include relevant license headers
  * debian/control: updated Build-Depends, Uploaders
  * debian/control: updated Standards-Version
  * debian/patches/series: remove already applied patches
  * debian/rules: override_dh_auto_test
  * debian/bibletime.1: add man page

  [ Roberto C. Sanchez ]
  * debian/control: update my email address

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 05 Oct 2017 12:00:00 +0200

bibletime (2.10.1-4) unstable; urgency=medium

  * d/control: bump Standards-Version to 3.9.8
  * d/control: change Vcs-Browser and Cvs-Git to https
  * d/rules: add hardening options

 -- Dominique Corbex <dominique@corbex.org>  Sat, 27 May 2017 16:57:01 +0200

bibletime (2.10.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove myself from uploaders.

 -- Dimitri John Ledkov <xnox@debian.org>  Sun, 09 Jul 2017 17:21:58 +0100
