=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: bibletime
 Section: kde
 Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9),
- libsword-dev (>= 1.7.3+dfsg-2), libclucene-dev, poxml, libboost-dev, cmake,
- pkg-config, zlib1g-dev, libcurl4-gnutls-dev, qtbase5-dev, qttools5-dev-tools,
- libqt5webkit5-dev, libqt5svg5-dev, qttools5-dev
+ libsword-dev (>= 1.7.3+dfsg-3), libclucene-dev, cmake,
+ pkg-config, libcurl4-gnutls-dev, git,
+ qtbase5-dev, qttools5-dev, qtwebengine5-dev, libqt5svg5-dev
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>, 
- Dmitrijs Ledkovs <xnox@debian.org>, 
  Jonathan Marsden <jmarsden@fastmail.fm>,
- Roberto C. Sanchez <roberto@connexer.com>
-Standards-Version: 3.9.6
+ Roberto C. Sanchez <roberto@debian.org>,
+ Dominique Corbex <dominique@corbex.org>,
+ Teus Benschop <teusjannette@gmail.com>
+Standards-Version: 4.1.1
 Homepage: http://www.bibletime.info/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-crosswire/bibletime.git
-Vcs-Git: git://anonscm.debian.org/pkg-crosswire/bibletime.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-crosswire/bibletime.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-crosswire/bibletime.git
 
 Package: bibletime
 Architecture: any
@@ -41,3 +40,4 @@
  .
  This package contains the help, online documentation and data files
  which BibleTime uses.
+
