=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake --parallel

override_dh_auto_test:
	echo "Skip dh_auto_test because the tests rely on a display which is not there"
