=== debian/watch ===
version=3

http://sf.net/bibletime/bibletime-([\d\.]+).tar.xz?
