## bibletime 2.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 PROJECT(bibletime CXX C)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)
+CMAKE_POLICY(SET CMP0028 NEW)
 
 IF("${CMAKE_CURRENT_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
   MESSAGE(FATAL_ERROR "You probably didn't mean to run CMake from this directory. Now you have all messed up! You'd better delete CMakeFiles/ and CMakeCache.txt or things will break!")
@@ -56,8 +57,8 @@
 
 SET(BT_VERSION_MAJOR "2")
 SET(BT_VERSION_MINOR "11")
-SET(BT_VERSION_PATCH "1")
-#SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
+SET(BT_VERSION_PATCH "2")
+SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:
 IF(NOT (DEFINED BT_VERSION_BUILD))
@@ -117,10 +118,15 @@
   SET(BT_SHARE_PATH "share")
 ENDIF()
 
-FIND_PACKAGE(Qt5Core REQUIRED)
-FIND_PACKAGE(Qt5LinguistTools REQUIRED)
-FIND_PACKAGE(Qt5Gui REQUIRED)
-FIND_PACKAGE(Qt5Widgets REQUIRED)
+SET(REQUIRED_QT_VERSION 5.9)
+FIND_PACKAGE(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Gui ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Test ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Svg ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5PrintSupport ${REQUIRED_QT_VERSION} REQUIRED)
 
 FIND_PACKAGE(CLucene REQUIRED)
 FIND_PACKAGE(Sword 1.7.0 REQUIRED)
@@ -153,9 +159,12 @@
 FIND_PACKAGE(Qt5WebEngine QUIET)
 IF(NOT Qt5WebEngine_FOUND)
     MESSAGE(STATUS "Using Qt WebKit")
+    FIND_PACKAGE(Qt5WebKit REQUIRED)
+    FIND_PACKAGE(Qt5WebKitWidgets REQUIRED)
     SET(USEWEBENGINE OFF)
 ELSE()
     MESSAGE(STATUS "Using Qt WebEngine")
+    FIND_PACKAGE(Qt5WebEngineWidgets REQUIRED)
     SET(USEWEBENGINE ON)
 ENDIF()
 
@@ -194,7 +203,7 @@
     ${bibletime_COMMON_SOURCES}
     ${bibletime_COMMON_MOCABLE_SOURCES}
 )
-QT5_USE_MODULES(bibletime_common Widgets Xml)
+TARGET_LINK_LIBRARIES(bibletime_common Qt5::Widgets Qt5::Xml)
 
 IF(MSVC)
   ADD_EXECUTABLE("bibletime" WIN32 ${common_bibletime_SOURCES})
@@ -222,11 +231,11 @@
 )
 
 IF(${BIBLETIME_FRONTEND} STREQUAL "MOBILE")
-  qt5_use_modules("bibletime" Widgets WebKitWidgets Qml Quick Xml Network PrintSupport Svg)
+  TARGET_LINK_LIBRARIES("bibletime" Qt5::Widgets Qt5::WebKitWidgets Qt5::Qml Qt5::Quick Qt5::Xml Qt5::Network Qt5::PrintSupport Qt5::Svg)
 ELSEIF(USEWEBENGINE)
-  qt5_use_modules("bibletime" Widgets WebEngine WebEngineWidgets WebChannel Xml Network PrintSupport Svg)
-ELSE()
-  qt5_use_modules("bibletime" Widgets WebKit WebKitWidgets Xml Network PrintSupport Svg)
+  TARGET_LINK_LIBRARIES("bibletime" Qt5::Widgets Qt5::WebEngine Qt5::WebEngineWidgets Qt5::WebChannel Qt5::Xml Qt5::Network Qt5::PrintSupport Qt5::Svg)
+ELSE()
+  TARGET_LINK_LIBRARIES("bibletime" Qt5::Widgets Qt5::WebKit Qt5::WebKitWidgets Qt5::Xml Qt5::Network Qt5::PrintSupport Qt5::Svg)
 ENDIF()
 
 SET(BibleTime_LDFLAGS "")
@@ -240,7 +249,7 @@
   SET(CMAKE_CXX_FLAGS_DEBUG "")
   IF(APPLE)
     # enable support MacOS 10.5+
-    SET(T "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/")
+    SET(T "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/")
     SET(BibleTime_CXXFLAGS "${BibleTime_CXXFLAGS} -mmacosx-version-min=10.7 -stdlib=libc++ -isysroot ${T}")
     SET(BibleTime_LDFLAGS "${BibleTime_LDFLAGS} -mmacosx-version-min=10.7 -stdlib=libc++ -isysroot ${T} -F /Library/Frameworks/")
     UNSET(T)
@@ -300,7 +309,7 @@
 
 # Linux: application icon and desktop file:
 INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.svg"
-        DESTINATION "${BT_SHARE_PATH}/icons/")
+        DESTINATION "${BT_SHARE_PATH}/icons/hicolor/scalable/apps")
 CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/linux/bibletime.desktop.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop" @ONLY)
 INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop"
@@ -321,19 +330,3 @@
 ENDIF()
 
 IF(APPLE)
-  # sword locale information, needed for DMG image
-  FILE(GLOB INSTALL_SWORD_LOCALE_LIST "${Sword_INCLUDE_DIRS}/../../share/sword/locales.d/*")
-  INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
-          DESTINATION "${BT_SHARE_PATH}/sword/locales.d/")
-ENDIF()
-
-INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDocumentation.cmake")
-
-IF(WIN32 AND NOT UNIX)
-  INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageWindows.cmake")
-ENDIF()
-IF(APPLE)
-  INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageMacOS.cmake")
-ENDIF()
-
-######################################################
