=== debian/changelog ===
bibletime (2.11.2-11build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:43 +0100

bibletime (2.11.2-11) unstable; urgency=medium

  * ahem, correct build dep

 -- Daniel Glassey <wdg@debian.org>  Fri, 16 Nov 2018 10:41:30 +0700

bibletime (2.11.2-10) unstable; urgency=medium

  * build alternatives doesn't work to fix that
      arch specific build deps instead, thanks James

 -- Daniel Glassey <wdg@debian.org>  Fri, 16 Nov 2018 08:23:16 +0700

bibletime (2.11.2-9) unstable; urgency=medium

  * alternative build-dep on libqtwebkit5-dev, Closes: #913782
      it should build on archs where qtwebengine5 is not available
        BibleTime appears to prefer qtwebengine so using that
        when available rather than libqtwebkit5 everywhere
  * d/rules: remove unnecessary --parallel
  * d/control: fix Vcs fields (wrong way round)

 -- Daniel Glassey <wdg@debian.org>  Thu, 15 Nov 2018 22:59:33 +0700

bibletime (2.11.2-8) unstable; urgency=medium

  * d/control: dep libsword 1.8.1+dfsg-8
      as entered by Daniel

 -- Teus Benschop <teusjannette@gmail.com>  Mon, 12 Nov 2018 18:56:15 +0100

bibletime (2.11.2-7) experimental; urgency=high

  [ Teus Benschop ]
  * d/control: depends on libsword 1.8.1-6 or higher

  [ Daniel Glassey ]
  * d/README.source remove, not using cdbs any more
  * d/compat, control update to debhelper 11

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 09 Nov 2018 19:58:49 +0100

bibletime (2.11.2-6) unstable; urgency=high

  * update architectures to satisfy policy 5.6.8
  * bump required minimum libsword version

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 06 Nov 2018 10:56:21 +0100

bibletime (2.11.2-5) unstable; urgency=medium

  * dh_missing fail-missing

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 01 Nov 2018 09:37:54 +0100

bibletime (2.11.2-4) unstable; urgency=high

  * debian/copyright: update plaintext cc-by-sa text

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 28 Oct 2018 16:28:38 +0100

bibletime (2.11.2-3) unstable; urgency=high

  * debian/control: architecture: any

 -- Teus Benschop <teusjannette@gmail.com>  Wed, 10 Oct 2018 12:59:25 +0200

bibletime (2.11.2-2) unstable; urgency=high

  * debian/control: temporal limit on architectures

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 09 Oct 2018 12:10:50 +0200

bibletime (2.11.2-1) unstable; urgency=medium

  * New upstream version 2.11.2

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 02 Oct 2018 14:13:47 +0200

bibletime (2.11.1-4) unstable; urgency=medium

  * debian/contro: Revert to Architecture: any

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 21 Sep 2018 08:01:09 +0200

bibletime (2.11.1-3) unstable; urgency=medium

  * debian/control: fix maintainer email, Closes: #899759
  * debian/control: Updated Standards-Version
  * debian/control: Updated Vcs-* for salsa
  * debian/control: Limit architectures, Closes: #893489

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 16 Sep 2018 12:44:48 +0200
