=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ -Scmake

override_dh_auto_test:
	echo "Skip dh_auto_test because the tests rely on a display which is not there"

override_dh_missing:
	dh_missing --fail-missing
