=== debian/changelog ===
bibletime (3.0-5~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 13 Jan 2021 09:26:22 -0800

bibletime (3.0-5) unstable; urgency=medium

  * updated standards version
  * new upload to unstable with depends on libsword 1.9

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 28 Nov 2020 20:49:19 +0100

bibletime (3.0-4) experimental; urgency=medium

  * depend on libsword 1.9

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 21 Nov 2020 16:58:14 +0100

bibletime (3.0-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Team upload
  * Revert "Add two upstream patches"
  * Add missing qml-module-qtquick2 dependency
  * Disable lto-partition on mips64el (Closes: #970471)

 -- Roberto C. Sánchez <roberto@debian.org>  Sat, 14 Nov 2020 08:36:18 -0500

bibletime (3.0-2) unstable; urgency=medium

  * Team upload
  * Add two upstream patches (Closes: #970471)

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 20 Sep 2020 19:50:43 +0200

bibletime (3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.0
  * Prevent building PDF
  * Build and install the HTML documentation
  * d/control: Remove an unused variable
  * d/control: Bump debhelper compat level to 13
  * d/copyright: Add missing info
  * Remove leftover patches
  * Update Standards-Version to 4.5.0
  * Add Rules-Requires-Root
  * Patch: Install qml file to datadir

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 20 Aug 2020 10:15:39 +0200
