=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH), mips64el)
  DEB_LDFLAGS_MAINT_APPEND += -flto-partition=none
endif
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_HANDBOOK_PDF=OFF -DBUILD_HOWTO_PDF=OFF

override_dh_auto_test:
	echo "Skip dh_auto_test because the tests rely on a display which is not there"

override_dh_strip:
	dh_strip --no-automatic-dbgsym
