## bibletime 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,10 @@
 install the howto in PDF format if BUILD_HOWTO_PDF is enabled. \
 Leave empty use all supported languages.")
 
+SET(INSTALL_GENERATED_DOCS "OFF" CACHE BOOL
+    "Install generated_docs from a specified path.")
+SET(GENERATED_DOCS_DIR "" CACHE PATH
+    "Path to the checked out generated_docs for this revision of BibleTime")
 
 ######################################################
 # Misc. settings:
@@ -112,7 +116,7 @@
 
 SET(BT_VERSION_MAJOR "3")
 SET(BT_VERSION_MINOR "0")
-SET(BT_VERSION_PATCH "0")
+SET(BT_VERSION_PATCH "2")
 SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:
