=== debian/changelog ===
bibletime (3.0.2-1) unstable; urgency=medium

  * Team upload
  * d/watch: Switch to GitHub releases
  * New upstream version 3.0.2
  * Remove unnecessary build dependency quilt
  * Let bibletime find its docs

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 09 Sep 2021 01:07:35 +0200

bibletime (3.0.1-1) unstable; urgency=medium

  * Team upload

  [ Pino Toscano ]
  * Remove the unused XPM icons

  [ Bastian Germann ]
  * New upstream version 3.0.1

 -- Teus Benschop <teusbenschop@debian.org>  Wed, 25 Aug 2021 08:51:05 +0200
