=== debian/control ===
Source: bibletime
Section: kde
Build-Depends:
    debhelper-compat (= 13),
    libsword-dev (>= 1.9.0+dfsg-2),
    libclucene-dev,
    cmake,
    pkg-config,
    libcurl4-gnutls-dev,
    docbook-xml,
    docbook-xsl,
    git,
    po4a,
    qtbase5-dev,
    qttools5-dev,
    qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
    libqt5webkit5-dev [alpha armel hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 s390x x32],
    libqt5svg5-dev,
    xsltproc
Priority: optional
Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
Uploaders: Daniel Glassey <wdg@debian.org>,
 Jonathan Marsden <jmarsden@fastmail.fm>,
 Roberto C. Sanchez <roberto@debian.org>,
 Dominique Corbex <dominique@corbex.org>,
 Teus Benschop <teusjannette@gmail.com>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.bibletime.info/
Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/bibletime.git
Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/bibletime

Package: bibletime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 bibletime-data (=${source:Version}), qml-module-qtquick2
Provides: sword-frontend
Description: bible study tool for Qt
 BibleTime is a free and easy to use bible study tool.
 It uses the Qt and SWORD software libraries.
 BibleTime provides easy handling of digitized texts (Bibles, commentaries
 and lexicons) and powerful features to work with these texts (search in
 texts, write own notes, save, print etc.) in the SWORD module format.

Package: bibletime-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: bibletime
Conflicts: bibletime-i18n
Replaces: bibletime-i18n
Description: Documentation and data for bibletime, a bible study tool
 BibleTime is a free and easy to use bible study tool.
 .
 This package contains the help, online documentation and data files
 which BibleTime uses.
