=== debian/watch ===
version=4

https://github.com/bibletime/bibletime/releases/ .*/bibletime-([\d\.]+).tar.xz
