## bibletime 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -116,7 +116,7 @@
 
 SET(BT_VERSION_MAJOR "3")
 SET(BT_VERSION_MINOR "0")
-SET(BT_VERSION_PATCH "2")
+SET(BT_VERSION_PATCH "3")
 SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:
