=== debian/changelog ===
bibletime (3.0.3-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:34:34 +1100

bibletime (3.0.3-3build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:57:51 +0000

bibletime (3.0.3-3) unstable; urgency=medium

  * Team upload
  * Remove unneeded web dependencies (Closes: #1029457)

 -- Bastian Germann <bage@debian.org>  Sun, 22 Jan 2023 21:30:19 +0100

bibletime (3.0.3-2) unstable; urgency=medium

  * Team upload
  * d/watch: Scan GitHub release API

 -- Bastian Germann <bage@debian.org>  Fri, 13 Jan 2023 16:27:15 +0100

bibletime (3.0.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.0.3

 -- Bastian Germann <bage@debian.org>  Sat, 14 May 2022 15:42:14 +0200
