=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
     po4a,
     qtbase5-dev,
     qttools5-dev,
-    qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
-    libqt5webkit5-dev [alpha armel hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 s390x x32],
+    qtdeclarative5-dev,
     libqt5svg5-dev,
     xsltproc
 Priority: optional
-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Jonathan Marsden <jmarsden@fastmail.fm>,
  Roberto C. Sanchez <roberto@debian.org>,
