=== debian/watch ===
version=4

opts="searchmode=plain" \
  https://api.github.com/repos/bibletime/bibletime/releases https://github.com/bibletime/bibletime/releases/download/v?[\d\.]+/bibletime-([\d\.]+).tar.xz
