## bibletime 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-PROJECT(bibletime CXX C)
-CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.12)
+PROJECT(bibletime CXX)
 
 
 ######################################################
@@ -15,6 +15,9 @@
 ######################################################
 # Build-time user options:
 #
+SET(USE_QT6 "ON" CACHE BOOL
+    "Whether to build with Qt6 instead of Qt5.")
+
 SET(BUILD_BIBLETIME "ON" CACHE BOOL
     "Whether to build and install the BibleTime application")
 
@@ -115,8 +118,8 @@
 # For post-full-release versions, no suffix is used.
 
 SET(BT_VERSION_MAJOR "3")
-SET(BT_VERSION_MINOR "0")
-SET(BT_VERSION_PATCH "3")
+SET(BT_VERSION_MINOR "1")
+SET(BT_VERSION_PATCH "0")
 SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:
@@ -225,7 +228,6 @@
 ADD_CUSTOM_TARGET(fix_cpp_headers
     find "${CMAKE_CURRENT_SOURCE_DIR}"
         -path "${CMAKE_CURRENT_SOURCE_DIR}/.git" -prune -o
-        -path "${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/windows" -prune -o
         -path "${CMAKE_CURRENT_BINARY_DIR}" -prune -o
         -type f "\\(" -name "'*.h'" -o -name "'*.cpp'" -o -name "'*.qml'" "\\)"
         -exec "${CMAKE_CURRENT_SOURCE_DIR}/cmake/fix_cpp_header.sh" "{}"
