=== debian/changelog ===
bibletime (3.1.0-2) unstable; urgency=medium

  * Team upload
  * Revert "Backup Brazilian translation (Closes: #1043811)"
  * Depend on qml6-module-qtquick

 -- Bastian Germann <bage@debian.org>  Fri, 07 Mar 2025 01:46:13 +0100

bibletime (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.0
  * Backup Brazilian translation (Closes: #1043811)
  * Update Build-Depends to Qt6
  * d/copyright: Add info from new version

 -- Bastian Germann <bage@debian.org>  Tue, 25 Feb 2025 11:42:00 +0100
