## bibletime 3.1.1

=== debian/changelog ===
bibletime (3.1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.1

 -- Bastian Germann <bage@debian.org>  Thu, 27 Mar 2025 11:56:02 +0100
