=== debian/control ===
--- 
+++ 
@@ -11,14 +11,12 @@
     docbook-xsl,
     git,
     po4a,
-    qtbase5-dev,
-    qttools5-dev,
-    qtdeclarative5-dev,
-    libqt5svg5-dev,
+    qt6-tools-dev,
+    qt6-declarative-dev,
+    qt6-svg-dev,
     xsltproc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
+Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Jonathan Marsden <jmarsden@fastmail.fm>,
  Roberto C. Sanchez <roberto@debian.org>,
@@ -33,7 +31,7 @@
 Package: bibletime
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- bibletime-data (=${source:Version}), qml-module-qtquick2
+ bibletime-data (=${source:Version}), qml6-module-qtquick
 Provides: sword-frontend
 Description: bible study tool for Qt
  BibleTime is a free and easy to use bible study tool.
